astro query:docs

- Index
- Modules

### Navigation

- next »
- « previous |
- astroquery v0.4.11 »
- ESASky Queries (`astroquery.esasky`) »
- ESASkyClass

# ESASkyClass

class astroquery.esasky.ESASkyClass(tap_handler=None)

  Bases: `BaseQuery`

  Attributes Summary

  `DEFAULT_ROW_LIMIT` |
  `SSO_TYPES` |
  `TIMEOUT` |
  `URLbase` |

  Methods Summary

  `find_sso`(sso_name, *[, sso_type, cache]) | This method allows you to find solar and extra solar system objects with a given name.
  `get_columns`(table_name, *[, only_names, verbose]) | Get the available columns for a table in ESASky TAP service
  `get_images`(*[, position, observation_ids, ...]) | This method gets the fits files available for the selected mission and position or observation_ids and downloads all maps to the the selected folder.
  `get_images_sso`(*[, sso_name, sso_type, ...]) | This method gets the fits files for the input (either a sso_name or table_list) and downloads all maps to the the selected folder.
  `get_maps`(query_table_list, *[, missions, ...]) | This method takes the dictionary of missions and metadata as returned by query_region_maps and downloads all maps to the selected folder.
  `get_spectra`(*[, position, observation_ids, ...]) | This method gets the fits files available for the selected missions and position or observation_ids and downloads all spectra to the the selected folder.
  `get_spectra_from_table`(query_table_list[, ...]) | This method takes the dictionary of missions and metadata as returned by query_region_spectra and downloads all spectra to the selected folder.
  `get_tables`(*[, only_names, verbose, cache]) | Get the available table in ESASky TAP service
  `get_tap`() | Get a TAP+ instance for the ESASky servers, which supports all common TAP+ operations (synchronous & asynchronous queries, uploading of tables, table sharing and more) Full documentation and examples available here: https://astroquery.readthedocs.io/en/latest/utils/tap.html
  `list_catalogs`() | Get a list of the mission names of the available catalogs in ESASky
  `list_maps`() | Get a list of the mission names of the available observations in ESASky
  `list_spectra`() | Get a list of the mission names of the available spectra in ESASky
  `list_sso`() | Get a list of the mission names of the available observations with SSO crossmatch in ESASky
  `query`(query, *[, output_file, ...]) | Launches a synchronous job to query the ESASky TAP
  `query_ids_catalogs`(source_ids, *[, ...]) | This method fetches the metadata for all the given source id's and returns a TableList.
  `query_ids_maps`(observation_ids, *[, ...]) | This method fetches the metadata for all the given observations id's and returns a TableList.
  `query_ids_spectra`(observation_ids, *[, ...]) | This method fetches the metadata for all the given observations id's and returns a TableList.
  `query_object_catalogs`(position[, catalogs, ...]) | This method queries a chosen object or coordinate for all available catalogs and returns a TableList with all the found catalogs metadata for the chosen missions and object.
  `query_object_maps`(position[, missions, ...]) | This method queries a chosen object or coordinate for all available maps which have observation data on the chosen position.
  `query_object_spectra`(position[, missions, ...]) | This method queries a chosen object or coordinate for all available missions which have spectral data on the chosen position.
  `query_region_catalogs`(position, radius[, ...]) | This method queries a chosen region for all available catalogs and returns a TableList with all the found catalogs metadata for the chosen missions and region.
  `query_region_maps`(position, radius[, ...]) | This method queries a chosen region for all available maps and returns a TableList with all the found maps metadata for the chosen missions and region.
  `query_region_spectra`(position, radius[, ...]) | This method queries a chosen region for all available spectra and returns a TableList with all the found spectra metadata for the chosen missions and region.
  `query_sso`(sso_name, *[, sso_type, missions, ...]) | This method performs a crossmatch on the chosen solar system object and the selected missions using ESASky's crossmatch algorithm.

  Attributes Documentation

  DEFAULT_ROW_LIMIT = 10000
  SSO_TYPES = ['ALL', 'ASTEROID', 'COMET', 'SATELLITE', 'PLANET', 'DWARF_PLANET', 'SPACECRAFT', 'SPACEJUNK', 'EXOPLANET', 'STAR']
  TIMEOUT = 1000
  URLbase = 'https://sky.esa.int/esasky-tap'

  Methods Documentation

  find_sso(sso_name, *, sso_type='ALL', cache=True)

    This method allows you to find solar and extra solar system objects with a given name. ESASky is using IMCCE’s SsODNet to resolve the objects.

    Parameters:
      sso_name str

        A name or alias of a solar system object recognized by SsODNet.

      sso_type str, optional

        Can be any of the sso types found in SSO_TYPES. Defaults to ‘all’.

      cache bool, optional

        When set to True the method will use a cache located at .astropy/astroquery/cache. Defaults to True.

    Returns:
      list `list`

        Returns a list of object matching your search. Each mission match has sso_name, sso_type, and aliases.

    Examples

    find_sso(sso_name=”Pallas”) find_sso(sso_name=”503”) find_sso(sso_name=”503”, sso_type=”SATELLITE”)

  get_columns(table_name, *, only_names=True, verbose=False)

    Get the available columns for a table in ESASky TAP service

    Parameters:
      table_name str, mandatory, default None

        table name of which, columns will be returned

      only_names bool, optional, default ‘True’

        True to load table names only

      verbose bool, optional, default ‘False’

        flag to display information about the process

    Returns:
      A list of columns
  get_images(*, position=None, observation_ids=None, radius='0 arcmin', missions='all', download_dir='Maps', cache=True, verbose=False)

    This method gets the fits files available for the selected mission and position or observation_ids and downloads all maps to the the selected folder. The method returns a dictionary which is divided by mission. All mission except Herschel returns a list of HDULists. For Herschel each item in the list is a dictionary where the used filter is the key and the HDUList is the value.

    Parameters:
      position str or `astropy.coordinates` object, optional

        Can either be a string of the location, eg ‘M51’, or the coordinates of the object. An input is required for either position or observation_ids.

      observation_ids str or list, optional

        A list of observation ID’s, you would like to download. If this parameter is empty, a cone search will be performed instead using the radius and position. An input is required for either position or observation_ids.

      radius str or `Quantity`, optional

        The radius of a region. Defaults to 0.

      missions str or list, optional

        Can be either a specific mission or a list of missions (all mission names are found in list_missions()) or ‘all’ to search in all missions. Defaults to ‘all’.

      download_dir str, optional

        The folder where all downloaded maps should be stored. Defaults to a folder called ‘Maps’ in the current working directory.

      cache bool, optional

        When set to True the method will use a cache located at .astropy/astroquery/cache. Defaults to True.

      verbose bool, optional

        Defaults to `False`. If `True` warnings are displayed when any FITS data or VOTable doesn’t conform to its standard.

    Returns:
      maps `dict`

        All mission except Herschel returns a list of HDULists. For Herschel each item in the list is a dictionary where the used filter is the key and the HDUList is the value. It is structured in a dictionary like this: dict: { ‘HERSCHEL’: [{‘70’: HDUList, ‘160’: HDUList}, {‘70’: HDUList, ‘160’: HDUList}, …], ‘HST’:[HDUList, HDUList, HDUList, HDUList, HDUList, …], ‘XMM-EPIC’ : [HDUList, HDUList, HDUList, HDUList, …] … }

    Examples

    get_images(position=”m101”, radius=”14’”, missions=”all”)

    missions = [“SUZAKU”, “ISO-IR”, “Chandra”, “XMM-OM-OPTICAL”, “XMM”, “XMM-OM-UV”, “HST-IR”, “Herschel”, “Spitzer”, “HST-UV”, “HST-OPTICAL”] observation_ids = [“100001010”, “01500403”, “21171”, “0852000101”, “0851180201”, “0851180201”, “n3tr01c3q”, “1342247257”, “30002561-25100”, “hst_07553_3h_wfpc2_f160bw_pc”, “ocli05leq”] get_images(observation_ids=observation_ids, missions=missions)

  get_images_sso(*, sso_name=None, sso_type='ALL', table_list=None, missions='all', download_dir='Maps', cache=True, verbose=False)

    This method gets the fits files for the input (either a sso_name or table_list) and downloads all maps to the the selected folder. If a sso_name is entered, this method performs a crossmatch on the chosen solar system object and the selected missions using ESASky’s crossmatch algorithm. The method returns a dictionary which is divided by mission. All mission except Herschel returns a list of HDULists. For Herschel each item in the list is a dictionary where the used filter is the key and the HDUList is the value.

    Parameters:
      sso_name str, optional

        A name or alias of a solar system object recognized by SsODNet. One of sso_name and table_list is required.

      sso_type str, optional

        Can be any of the sso types found in SSO_TYPES. Defaults to ‘all’.

      table_list `TableList` or dict or list of (name, `Table`) pairs

        A TableList or dict or list of name and Table pairs with all the missions wanted and their respective metadata. Usually the return value of query_sso.

      missions str or list, optional

        Can be either a specific mission or a list of missions (all mission names are found in list_sso()) or ‘all’ to search in all missions. Defaults to ‘all’. .astropy/astroquery/cache. Defaults to True.

      download_dir str, optional

        The folder where all downloaded maps should be stored. Defaults to a folder called ‘Maps’ in the current working directory.

      cache bool, optional

        When set to True the method will use a cache located at .astropy/astroquery/cache. Defaults to True.

      verbose bool, optional

        Defaults to `False`. If `True` warnings are displayed when any FITS data or VOTable doesn’t conform to its standard.

    Returns:
      maps `dict`

        All mission except Herschel returns a list of HDULists. For Herschel each item in the list is a dictionary where the used filter is the key and the HDUList is the value. It is structured in a dictionary like this: dict: { ‘HERSCHEL’: [{‘70’: HDUList, ‘160’: HDUList}, {‘70’: HDUList, ‘160’: HDUList}, …], ‘HST’:[HDUList, HDUList, HDUList, HDUList, HDUList, …], ‘XMM’ : [HDUList, HDUList, HDUList, HDUList, …] … }

    Examples

    get_images_sso(sso_name=”Pallas”, missions=”HST”) get_images_sso(sso_name=”503”, sso_type=”SATELLITE”) get_images_sso(sso_name=”503”, sso_type=”SATELLITE”, missions=[“XMM”, “HST”])

    table = ESASky.query_sso(sso_name=”503”, sso_type=”SATELLITE”, missions=[“XMM”, “HST”]) table[“XMM”].remove_rows([1, 18, 23]) get_images_sso(table_list=table, missions=”XMM”)

  get_maps(query_table_list, *, missions='all', download_dir='Maps', cache=True, verbose=False)

    This method takes the dictionary of missions and metadata as returned by query_region_maps and downloads all maps to the selected folder. The method returns a dictionary which is divided by mission. All mission except Herschel returns a list of HDULists. For Herschel each item in the list is a dictionary where the used filter is the key and the HDUList is the value.

    Parameters:
      query_table_list `TableList` or dict or list of (name, `Table`) pairs

        A TableList or dict or list of name and Table pairs with all the missions wanted and their respective metadata. Usually the return value of query_region_maps.

      missions str or list, optional

        Can be either a specific mission or a list of missions (all mission names are found in list_missions()) or ‘all’ to search in all missions. Defaults to ‘all’.

      download_dir str, optional

        The folder where all downloaded maps should be stored. Defaults to a folder called ‘Maps’ in the current working directory.

      cache bool, optional

        When set to True the method will use a cache located at .astropy/astroquery/cache. Defaults to True.

      verbose bool, optional

        Defaults to `False`. If `True` warnings are displayed when any FITS data or VOTable doesn’t conform to its standard.

    Returns:
      maps `dict`

        All mission except Herschel returns a list of HDULists. For Herschel each item in the list is a dictionary where the used filter is the key and the HDUList is the value. It is structured in a dictionary like this: dict: { ‘HERSCHEL’: [{‘70’: HDUList, ‘160’: HDUList}, {‘70’: HDUList, ‘160’: HDUList}, …], ‘HST’:[HDUList, HDUList, HDUList, HDUList, HDUList, …], ‘XMM-EPIC’ : [HDUList, HDUList, HDUList, HDUList, …] … }

    Examples

    get_maps(query_region_maps(“m101”, “14’”, “all”))

  get_spectra(*, position=None, observation_ids=None, radius='0 arcmin', missions='all', download_dir='Spectra', cache=True, verbose=False)

    This method gets the fits files available for the selected missions and position or observation_ids and downloads all spectra to the the selected folder. The method returns a dictionary which is divided by mission. All mission except Herschel returns a list of HDULists. Herschel returns a three-level dictionary.

    Parameters:
      position str or `astropy.coordinates` object, optional

        Can either be a string of the location, eg ‘M51’, or the coordinates of the object. An input is required for either position or observation_ids.

      observation_ids str or list, optional

        A list of observation ID’s, you would like to download. If this parameter is empty, a cone search will be performed instead using the radius and position. An input is required for either position or observation_ids.

      radius str or `Quantity`, optional

        The radius of a region. Defaults to 0.

      missions str or list, optional

        Can be either a specific mission or a list of missions (all mission names are found in list_spectra()) or ‘all’ to search in all missions. Defaults to ‘all’.

      download_dir str, optional

        The folder where all downloaded spectra should be stored. Defaults to a folder called ‘Spectra’ in the current working directory.

      cache bool, optional

        When set to True the method will use a cache located at .astropy/astroquery/cache. Defaults to True.

      verbose bool, optional

        Defaults to `False`. If `True` warnings are displayed when any FITS data or VOTable doesn’t conform to its standard.

    Returns:
      spectra `dict`

        All mission except Herschel returns a list of HDULists. Herschel returns a three-level dictionary. Read more about Herschel here: https://www.cosmos.esa.int/web/esdc/esasky-observations#HERSCHEL-OBS

        The response is structured in a dictionary like this: dict: { ‘HERSCHEL’: {‘1342211195’: {‘red’ : {‘HPSTBRRS’ : HDUList}, ‘blue’ : {‘HPSTBRBS’: HDUList}, ‘1342180796’: {‘WBS’ : {‘WBS-H_LSB_5a’ : HDUList}, ‘HRS’ : {‘HRS-H_LSB_5a’: HDUList}, …}, ‘HST-IR’:[HDUList, HDUList, HDUList, HDUList, HDUList, …], ‘XMM-NEWTON’ : [HDUList, HDUList, HDUList, HDUList, …] … }

    Examples

    get_spectra(position=”m101”, radius=”14’”, missions=[“HST-IR”, “XMM-NEWTON”, “HERSCHEL”])

    missions = [“ISO-IR”, “Chandra”, “IUE”, “XMM-NEWTON”, “HST-IR”, “Herschel”, “HST-UV”, “HST-OPTICAL”] observation_ids = [“02101201”, “1005”, “LWR13178”, “0001730201”, “ibh706cqq”, “1342253595”, “oeik2s020”] get_spectra(observation_ids=observation_ids, missions=missions)

  get_spectra_from_table(query_table_list, missions='all', download_dir='Spectra', cache=True, verbose=False)

    This method takes the dictionary of missions and metadata as returned by query_region_spectra and downloads all spectra to the selected folder. The method returns a dictionary which is divided by mission. All mission except Herschel returns a list of HDULists. Herschel returns a three-level dictionary.

    Parameters:
      query_table_list `TableList` or dict or list of (name, `Table`) pairs

        A TableList or dict or list of name and Table pairs with all the missions wanted and their respective metadata. Usually the return value of query_region_spectra.

      missions str or list, optional

        Can be either a specific mission or a list of missions (all mission names are found in list_spectra()) or ‘all’ to search in all missions. Defaults to ‘all’.

      download_dir str, optional

        The folder where all downloaded spectra should be stored. Defaults to a folder called ‘Spectra’ in the current working directory.

      cache bool, optional

        When set to True the method will use a cache located at .astropy/astroquery/cache. Defaults to True.

      verbose bool, optional

        Defaults to `False`. If `True` warnings are displayed when any FITS data or VOTable doesn’t conform to its standard.

    Returns:
      spectra `dict`

        All mission except Herschel returns a list of HDULists. Herschel returns a three-level dictionary. Read more about Herschel here: https://www.cosmos.esa.int/web/esdc/esasky-observations#HERSCHEL-OBS

        The response is structured in a dictionary like this: dict: { ‘HERSCHEL’: {‘1342211195’: {‘red’ : {‘HPSTBRRS’ : HDUList}, ‘blue’ : {‘HPSTBRBS’: HDUList}, ‘1342180796’: {‘WBS’ : {‘WBS-H_LSB_5a’ : HDUList}, ‘HRS’ : {‘HRS-H_LSB_5a’: HDUList}, …}, ‘HST-IR’:[HDUList, HDUList, HDUList, HDUList, HDUList, …], ‘XMM-NEWTON’ : [HDUList, HDUList, HDUList, HDUList, …] … }

    Examples

    table = query_region_spectra(“m101”, “14’”, [“HST-IR”, “XMM-NEWTON”, “HERSCHEL”]) get_spectra_from_table(table)

  get_tables(*, only_names=True, verbose=False, cache=True)

    Get the available table in ESASky TAP service

    Parameters:
      only_names bool, optional, default ‘True’

        True to load table names only

      verbose bool, optional, default ‘False’

        flag to display information about the process

    Returns:
      A list of tables
  get_tap()

    Get a TAP+ instance for the ESASky servers, which supports all common TAP+ operations (synchronous & asynchronous queries, uploading of tables, table sharing and more) Full documentation and examples available here: https://astroquery.readthedocs.io/en/latest/utils/tap.html

    Returns:
      tap `TapPlus`
  list_catalogs()

    Get a list of the mission names of the available catalogs in ESASky

  list_maps()

    Get a list of the mission names of the available observations in ESASky

  list_spectra()

    Get a list of the mission names of the available spectra in ESASky

  list_sso()

    Get a list of the mission names of the available observations with SSO crossmatch in ESASky

  query(query, *, output_file=None, output_format='votable', verbose=False)

    Launches a synchronous job to query the ESASky TAP

    Parameters:
      query str, mandatory

        query (adql) to be executed

      output_file str, optional, default None

        file name where the results are saved if dumpToFile is True. If this parameter is not provided, the jobid is used instead

      output_format str, optional, default ‘votable’

        possible values ‘votable’ or ‘csv’

      verbose bool, optional, default ‘False’

        flag to display information about the process and warnings when the data doesn’t conform to its standard.

    Returns:
      A table object
  query_ids_catalogs(source_ids, *, catalogs='all', row_limit=10000, get_query_payload=False, cache=True, verbose=False)

    This method fetches the metadata for all the given source id’s and returns a TableList.

    Parameters:
      source_ids str or list

        The source IDs / names to fetch.

      catalogs str or list, optional

        Can be either a specific catalog or a list of catalogs (all catalog names are found in list_catalogs()) or ‘all’ to search in all catalogs. Defaults to ‘all’.

      row_limit int, optional

        Determines how many rows that will be fetched from the database for each mission. Can be -1 to select maximum (currently 100 000). Defaults to 10000.

      get_query_payload bool, optional

        When set to True the method returns the HTTP request parameters. Defaults to False.

      cache bool, optional

        When set to True the method will use a cache located at .astropy/astroquery/cache. Defaults to True.

      verbose bool, optional

        Defaults to `False`. If `True` warnings are displayed when any FITS data or VOTable doesn’t conform to its standard.

    Returns:
      table_list `TableList`

        Each mission returns a `Table` with the metadata. It is structured in a TableList like this: TableList with 2 tables: ‘CHANDRA-SC2’ with 41 column(s) and 2 row(s) ‘HIPPARCOS-2’ with 45 column(s) and 2 row(s)

    Examples

    query_ids_catalogs(source_ids=[‘2CXO J090341.1-322609’, ‘2CXO J090353.8-322642’], catalogs=”CHANDRA-SC2”) query_ids_catalogs(source_ids=’2CXO J090341.1-322609’) query_ids_catalogs(source_ids=[‘2CXO J090341.1-322609’, ‘45057’], catalogs=[“CHANDRA-SC2”, “Hipparcos-2”])

  query_ids_maps(observation_ids, *, missions='all', row_limit=10000, get_query_payload=False, cache=True, verbose=False)

    This method fetches the metadata for all the given observations id’s and returns a TableList.

    Parameters:
      observation_ids string or list

        The observation IDs to fetch.

      missions str or list, optional

        Can be either a specific mission or a list of missions (all mission names are found in list_missions()) or ‘all’ to search in all missions. Defaults to ‘all’.

      get_query_payload bool, optional

        When set to True the method returns the HTTP request parameters. Defaults to False.

      cache bool, optional

        When set to True the method will use a cache located at .astropy/astroquery/cache. Defaults to True.

      row_limit int, optional

        Determines how many rows that will be fetched from the database for each mission. Can be -1 to select maximum (currently 100 000). Defaults to 10000.

      verbose bool, optional

        Defaults to `False`. If `True` warnings are displayed when any FITS data or VOTable doesn’t conform to its standard.

    Returns:
      table_list `TableList`

        Each mission returns a `Table` with the metadata. It is structured in a TableList like this: TableList with 2 tables: ‘HERSCHEL’ with 15 column(s) and 2 row(s) ‘HST-UV’ with 15 column(s) and 2 row(s)

    Examples

    query_ids_maps(observation_ids=[‘lbsk03vbq’, ‘ieag90010’], missions=”HST-UV”) query_ids_maps(observation_ids=’lbsk03vbq’) query_ids_maps(observation_ids=[‘lbsk03vbq’, ‘1342221848’], missions=[“Herschel”, “HST-UV”])

  query_ids_spectra(observation_ids, *, missions='all', row_limit=10000, get_query_payload=False, cache=True, verbose=False)

    This method fetches the metadata for all the given observations id’s and returns a TableList.

    Parameters:
      observation_ids str or list

        The observation IDs to fetch.

      missions str or list, optional

        Can be either a specific mission or a list of missions (all mission names are found in list_spectra()) or ‘all’ to search in all missions. Defaults to ‘all’.

      row_limit int, optional

        Determines how many rows that will be fetched from the database for each mission. Can be -1 to select maximum (currently 100 000). Defaults to 10000.

      get_query_payload bool, optional

        When set to True the method returns the HTTP request parameters. Defaults to False.

      cache bool, optional

        When set to True the method will use a cache located at .astropy/astroquery/cache. Defaults to True.

      verbose bool, optional

        Defaults to `False`. If `True` warnings are displayed when any FITS data or VOTable doesn’t conform to its standard.

    Returns:
      table_list `TableList`

        Each mission returns a `Table` with the metadata. It is structured in a TableList like this: TableList with 2 tables: ‘XMM-NEWTON’ with 16 column(s) and 2 row(s) ‘HERSCHEL’ with 16 column(s) and 1 row(s)

    Examples

    query_ids_spectra(observation_ids=[‘0001730501’, ‘0011420101’], missions=’XMM-NEWTON’) query_ids_spectra(observation_ids=’0001730501’) query_ids_spectra(observation_ids=[‘0001730501’, ‘1342246640’], missions=[‘XMM-NEWTON’, ‘Herschel’])

  query_object_catalogs(position, catalogs='all', row_limit=10000, get_query_payload=False, cache=True, verbose=False)

    This method queries a chosen object or coordinate for all available catalogs and returns a TableList with all the found catalogs metadata for the chosen missions and object. To account for errors in telescope position, the method will look for any sources within a radius of 5 arcsec of the chosen position.

    Parameters:
      position str or `astropy.coordinates` object

        Can either be a string of the location, eg ‘M51’, or the coordinates of the object.

      catalogs str or list, optional

        Can be either a specific catalog or a list of catalogs (all catalog names are found in list_catalogs()) or ‘all’ to search in all catalogs. Defaults to ‘all’.

      row_limit int, optional

        Determines how many rows that will be fetched from the database for each mission. Can be -1 to select maximum (currently 100 000). Defaults to 10000.

      get_query_payload bool, optional

        When set to True the method returns the HTTP request parameters. Defaults to False.

      cache bool, optional

        When set to True the method will use a cache located at .astropy/astroquery/cache. Defaults to True.

      verbose bool, optional

        Defaults to `False`. If `True` warnings are displayed when any FITS data or VOTable doesn’t conform to its standard.

    Returns:
      table_list `TableList`

        Each mission returns a `Table` with the metadata of the catalogs available for the chosen mission and object. It is structured in a TableList like this: TableList with 2 tables: ‘HSC’ with 9 column(s) and 232 row(s) ‘XMM-OM’ with 11 column(s) and 2 row(s)

    Examples

    query_object_catalogs(“m101”, “all”)

    query_object_catalogs(“202.469, 47.195”, “HSC”) query_object_catalogs(“202.469, 47.195”, [“HSC”, “XMM-OM”])

  query_object_maps(position, missions='all', get_query_payload=False, cache=True, row_limit=10000, verbose=False)

    This method queries a chosen object or coordinate for all available maps which have observation data on the chosen position. It returns a TableList with all the found maps metadata for the chosen missions and object.

    Parameters:
      position str or `astropy.coordinates` object

        Can either be a string of the location, eg ‘M51’, or the coordinates of the object.

      missions str or list, optional

        Can be either a specific mission or a list of missions (all mission names are found in list_missions()) or ‘all’ to search in all missions. Defaults to ‘all’.

      get_query_payload bool, optional

        When set to True the method returns the HTTP request parameters. Defaults to False.

      cache bool, optional

        When set to True the method will use a cache located at .astropy/astroquery/cache. Defaults to True.

      row_limit int, optional

        Determines how many rows that will be fetched from the database for each mission. Can be -1 to select maximum (currently 100 000). Defaults to 10000.

      verbose bool, optional

        Defaults to `False`. If `True` warnings are displayed when any FITS data or VOTable doesn’t conform to its standard.

    Returns:
      table_list `TableList`

        Each mission returns a `Table` with the metadata and observations available for the chosen missions and object. It is structured in a TableList like this: TableList with 2 tables: ‘HERSCHEL’ with 12 column(s) and 152 row(s) ‘HST-OPTICAL’ with 12 column(s) and 6 row(s)

    Examples

    query_object_maps(“m101”, “all”)

    query_object_maps(“265.05, 69.0”, “Herschel”) query_object_maps(“265.05, 69.0”, [“Herschel”, “HST-OPTICAL”])

  query_object_spectra(position, missions='all', get_query_payload=False, cache=True, row_limit=10000, verbose=False)

    This method queries a chosen object or coordinate for all available missions which have spectral data on the chosen position. It returns a TableList with all the found spectra metadata for the chosen missions and object.

    Parameters:
      position str or `astropy.coordinates` object

        Can either be a string of the location, eg ‘M51’, or the coordinates of the object.

      missions str or list, optional

        Can be either a specific mission or a list of missions (all mission names are found in list_spectra()) or ‘all’ to search in all missions. Defaults to ‘all’.

      get_query_payload bool, optional

        When set to True the method returns the HTTP request parameters. Defaults to False.

      cache bool, optional

        When set to True the method will use a cache located at .astropy/astroquery/cache. Defaults to True.

      row_limit int, optional

        Determines how many rows that will be fetched from the database for each mission. Can be -1 to select maximum (currently 100 000). Defaults to 10000.

      verbose bool, optional

        Defaults to `False`. If `True` warnings are displayed when any FITS data or VOTable doesn’t conform to its standard.

    Returns:
      table_list `TableList`

        Each mission returns a `Table` with the metadata and spectra available for the chosen missions and object. It is structured in a TableList like this: TableList with 2 tables: ‘HERSCHEL’ with 12 column(s) and 12 row(s) ‘HST-OPTICAL’ with 12 column(s) and 19 row(s)

    Examples

    query_object_spectra(“m101”, “all”)

    query_object_spectra(“202.469, 47.195”, “Herschel”) query_object_spectra(“202.469, 47.195”, [“Herschel”, “HST-OPTICAL”])

  query_region_catalogs(position, radius, catalogs='all', row_limit=10000, get_query_payload=False, cache=True, verbose=False)

    This method queries a chosen region for all available catalogs and returns a TableList with all the found catalogs metadata for the chosen missions and region.

    Parameters:
      position str or `astropy.coordinates` object

        Can either be a string of the location, eg ‘M51’, or the coordinates of the object.

      radius str or `Quantity`

        The radius of a region.

      catalogs str or list, optional

        Can be either a specific catalog or a list of catalogs (all catalog names are found in list_catalogs()) or ‘all’ to search in all catalogs. Defaults to ‘all’.

      row_limit int, optional

        Determines how many rows that will be fetched from the database for each mission. Can be -1 to select maximum (currently 100 000). Defaults to 10000.

      get_query_payload bool, optional

        When set to True the method returns the HTTP request parameters. Defaults to False.

      cache bool, optional

        When set to True the method will use a cache located at .astropy/astroquery/cache. Defaults to True.

      verbose bool, optional

        Defaults to `False`. If `True` warnings are displayed when any FITS data or VOTable doesn’t conform to its standard.

    Returns:
      table_list `TableList`

        Each mission returns a `Table` with the metadata of the catalogs available for the chosen mission and region. It is structured in a TableList like this: TableList with 2 tables: ‘HIPPARCOS-2’ with 7 column(s) and 2 row(s) ‘HSC’ with 9 column(s) and 10000 row(s)

    Examples

    query_region_catalogs(“m101”, “14’”, “all”)

    import astropy.units as u query_region_catalogs(“265.05, 69.0”, 14*u.arcmin, “Hipparcos-2”) query_region_catalogs(“265.05, 69.0”, 14*u.arcmin, [“Hipparcos-2”, “HSC”])

  query_region_maps(position, radius, missions='all', get_query_payload=False, cache=True, row_limit=10000, verbose=False)

    This method queries a chosen region for all available maps and returns a TableList with all the found maps metadata for the chosen missions and region.

    Parameters:
      position str or `astropy.coordinates` object

        Can either be a string of the location, eg ‘M51’, or the coordinates of the object.

      radius str or `Quantity`

        The radius of a region.

      missions str or list, optional

        Can be either a specific mission or a list of missions (all mission names are found in list_missions()) or ‘all’ to search in all missions. Defaults to ‘all’.

      get_query_payload bool, optional

        When set to True the method returns the HTTP request parameters. Defaults to False.

      cache bool, optional

        When set to True the method will use a cache located at .astropy/astroquery/cache. Defaults to True.

      row_limit int, optional

        Determines how many rows that will be fetched from the database for each mission. Can be -1 to select maximum (currently 100 000). Defaults to 10000.

      verbose bool, optional

        Defaults to `False`. If `True` warnings are displayed when any FITS data or VOTable doesn’t conform to its standard.

    Returns:
      table_list `TableList`

        Each mission returns a `Table` with the metadata and observations available for the chosen missions and region. It is structured in a TableList like this: TableList with 2 tables: ‘HERSCHEL’ with 12 column(s) and 152 row(s) ‘HST-OPTICAL’ with 12 column(s) and 71 row(s)

    Examples

    query_region_maps(“m101”, “14’”, “all”)

    import astropy.units as u query_region_maps(“265.05, 69.0”, 14*u.arcmin, “Herschel”) query_region_maps(“265.05, 69.0”, 14*u.arcmin, [“Herschel”, “HST-OPTICAL”])

  query_region_spectra(position, radius, missions='all', row_limit=10000, get_query_payload=False, cache=True, verbose=False)

    This method queries a chosen region for all available spectra and returns a TableList with all the found spectra metadata for the chosen missions and region.

    Parameters:
      position str or `astropy.coordinates` object

        Can either be a string of the location, eg ‘M51’, or the coordinates of the object.

      radius str or `Quantity`

        The radius of a region.

      missions str or list, optional

        Can be either a specific mission or a list of missions (all mission names are found in list_spectra()) or ‘all’ to search in all missions. Defaults to ‘all’.

      row_limit int, optional

        Determines how many rows that will be fetched from the database for each mission. Can be -1 to select maximum (currently 100 000). Defaults to 10000.

      get_query_payload bool, optional

        When set to True the method returns the HTTP request parameters. Defaults to False.

      cache bool, optional

        When set to True the method will use a cache located at .astropy/astroquery/cache. Defaults to True.

      verbose bool, optional

        Defaults to `False`. If `True` warnings are displayed when any FITS data or VOTable doesn’t conform to its standard.

    Returns:
      table_list `TableList`

        Each mission returns a `Table` with the metadata and observations available for the chosen missions and region. It is structured in a TableList like this: TableList with 2 tables: ‘HERSCHEL’ with 12 column(s) and 264 row(s) ‘IUE’ with 12 column(s) and 14 row(s)

    Examples

    query_region_spectra(“m101”, “14’”, “all”)

    import astropy.units as u query_region_spectra(“265.05, 69.0”, 30*u.arcmin, “Herschel”) query_region_spectra(“265.05, 69.0”, 30*u.arcmin, [“Herschel”, “IUE”])

  query_sso(sso_name, *, sso_type='ALL', missions='all', row_limit=10000, verbose=False)

    This method performs a crossmatch on the chosen solar system object and the selected missions using ESASky’s crossmatch algorithm. The algorithm detects both targeted and serendipitous observations. It returns a TableList with all the found maps metadata for the chosen missions and object.

    Parameters:
      sso_name str

        A name or alias of a solar system object recognized by SsODNet.

      sso_type str, optional

        Can be any of the sso types found in SSO_TYPES. Defaults to ‘all’.

      missions str or list, optional

        Can be either a specific mission or a list of missions (all mission names are found in list_sso()) or ‘all’ to search in all missions. Defaults to ‘all’. .astropy/astroquery/cache. Defaults to True.

      row_limit int, optional

        Determines how many rows that will be fetched from the database for each mission. Can be -1 to select maximum (currently 100 000). Defaults to 10000.

      verbose bool, optional

        Defaults to `False`. If `True` warnings are displayed when any FITS data or VOTable doesn’t conform to its standard.

    Returns:
      table_list `TableList`

        Each mission returns a `Table` with the metadata and observations available for the chosen missions and object. It is structured in a TableList like this: TableList with 2 tables: ‘HERSCHEL’ with 12 column(s) and 152 row(s) ‘HST’ with 12 column(s) and 6 row(s)

    Examples

    query_sso(sso_name=”Pallas”, missions=”HST”) query_sso(sso_name=”503”, sso_type=”SATELLITE”) query_sso(sso_name=”503”, sso_type=”SATELLITE”, missions=[“XMM”, “HST”])